@ECHO OFF
IF NOT "%2"== "" GOTO INS
cls
echo.
echo                                NMF-90 TEST + DEMO
echo                                   ( 1994-12-19)
echo.
echo                   For 386, 486 and PENTIUM Personal computers
echo.
echo           The output of the demo is given in the note NFA-METRO-94-06
echo      The DEMO shows the running of the three NMF-90 modules:
echo                        LSL-M2,  MIEKE  and  BME-ECN
echo    The output files of the DEMO run can be compared with the ones from the note.
echo  [5;32;47mREMARK:[0m Do not use the files of the DEMO for your adjustment run because
echo          the applied files in the DEMO are not necessarily the most recent ones.
echo.
echo.
echo.
echo         This INSRM batch file can be used to :
echo                                          -  INSTALL files and
echo                                                RUN the DEMO
echo                                          -  REMOVE  files
echo.
echo.
echo.
pause
cls
echo.
echo.
echo     The INSTALLation of the files and the RUNning can be started
echo     with this BATCH file in the indicated diskette drive and the
echo             arguments :
echo                 - for the diskette drive with the DEMO disk
echo                   and
echo                 - for the hard disk drive to be used
echo.
echo          EXAMPLE: using drive a:
echo                   INSRM a: c:
echo                   with c: the hard disk to be used to store files.
echo.
echo     The removing of the files of the demo can be done with the same
echo     BATCH file using the same arguments as used for installation
echo.
echo     After the reading of the files from diskette the job is started.
echo     No user input is required, except for paging (ok) or ending (end)
echo     the plots.
echo     So do not get confused by remarks and questions displayed during
echo     execution.
echo.
echo.
GOTO END
:INS
IF EXIST %2\JOB\JOBTOT.BAT GOTO CLE
:IDENT
IF EXIST DISKID1.DMO GOTO DOIT
ECHO .
ECHO PUT THE FIRST DISKETTE INTO DRIVE %1
ECHO .
PAUSE
GOTO IDENT
:DOIT
%2
CD \
%1\pkuNZIP -d %1\NMFI
%1\PKUNZIP -d %1\NMFJ
%1\PKUNZIP -d %1\NMFE
REM MKDIR NMF-90
REM CD NMF-90
REM MKDIR REFRENCE
REM CD REFRENCE
REM COPY \EXE\REF\*.D*
REM COPY \EXE\REF\REP.ORT
CD \
CLS
ECHO .
ECHO THE DEMO JOB CAN BE STARTED BY PRESSING THE ENTER KEY
ECHO OR CANCELLED BY CTRL-BREAK
ECHO .
ECHO THE DEMO IS CONTROLLED BY THE BATCH COMMAND FILE %2\JOB\JOBTOT.BAT
ECHO .
PAUSE
CALL \JOB\JOBTOT
PAUSE
CLS
ECHO.
ECHO   TO START THE DEMO AGAIN YOU CAN USE THE COMMAND  %2\JOB\JOBTOT
ECHO. 
ECHO   YOU CAN REMOVE THE DEMO PROGRAM AND THE RELATED FILES 
ECHO   FROM THE DISK %2 WITH THE FOLLOWING COMMANDS:
ECHO        %1
ECHO        INSRM %1 %2
ECHO   THIS CAN BE DONE AT ANY TIME. (IF YOU WANT TO RUN THE DEMO AFTER THIS
ECHO   DELETING PROCEDURE YOU WILL HAVE TO REPEAT THE COMPLETE INSTALLING 
ECHO   PROCEDURE FROM THE DISKETTES.)
ECHO.
PAUSE
GOTO END
:CLE
ECHO    DEMO IS DELETED
%2
CD \Z
CD B
CD X33
DEL ANO.DAT
DEL ANO.PRN
DEL ANO.XSL
CD ..
RD X33
CD STN
DEL ANO.DAT
DEL ANO.XSL
DEL ANO.OUT
DEL ANO.PRN
DEL ANO.RSP
CD ..
RD STN
CD ..
RD B
CD \
CD Z
CD L
CD INP
DEL I21ACT
DEL I24ACV
DEL I22SPC
DEL I25SPV
DEL I23XSG
DEL I26XSV
DEL I27XDD
CD ..
RD INP
CD OUT
DEL O35CER
DEL O36FCO
DEL O37MIO
DEL O31AFR
DEL O32DBF
DEL O33DAF
DEL O34CRS
CD ..
RD OUT
CD ..
RD L
CD M
CD UM
DEL ACT.ANO
DEL COMP
DEL UMSDATPR.ANO
DEL ACT2.ANO
DEL COVACT.ANO
DEL F1.ANO
DEL CF.ANO
DEL W1.ANO
DEL PLOTOB
DEL UNC33MPR.ANO
DEL COV.ANO
DEL MFITIBPR.ANO
DEL CROSS.ANO
DEL CROSS1.ANO
DEL CROSSBI.ANO
DEL CROSS1BI.ANO
DEL FF1.ANO
DEL MSITERPR.ANO
DEL FSITER.ANO
DEL CFSITER.ANO
CD ..
RD UM
CD ..
RD M
CD\
RD Z
CD \EXE
DEL REDPRN.EXE
DEL REDOUT.EXE
DEL PLTSPEC.EXE
CD B
DEL STN.EXE
DEL XSL&OUT.EXE
DEL X333.EXE
CD ..
RD B
CD REF
DEL ANO.DAN
DEL U35.BAK
DEL PS2.DAN
DEL RTN.DAN
DEL REP.BAK
DEL CFR.DAN
DEL PS1.BAK
DEL U35.DNC
DEL PS1.DAN
DEL REP.ORT
CD ..
RD REF
CD M
DEL MCROBI.EXE
DEL MFITIB.EXE
DEL MIEKEB.EXE
DEL MRESBI.EXE
DEL MSANDB.EXE
DEL MSITER.EXE
DEL MSPECT.EXE
DEL UMSBIB.EXE
DEL UMSDAT.EXE
DEL UNC33M.EXE
DEL XSC32M90.EXE
DEL PLOT.EXE
DEL MATZ.FON
CD ..
RD M
CD L
DEL LSLM2.EXE
DEL VOC.EXE
DEL XSL.EXE
CD ..
RD L
CD DE
DEL DOSXNT.EXE
DEL DOSXMSF.EXE
DEL DOSXNT.386
CD ..
RD DE
CD SOL
DEL ANO.MIE
DEL ANO.LSL
DEL ANO.BME
CD ..
RD SOL
CD\
RD EXE
CD \JOB
DEL JOBTOT.BAT
DEL LLIST
CD M
DEL JOBMCRO.BAT
DEL ACT.ANO
DEL MSITERIN.ANO
DEL JOB2.BAT
DEL JOBUMS.BAT
DEL MCROBI.INP
DEL MFITIBIN.ANO
DEL UMSDATIN.ANO
DEL UNC33MIN.ANO
CD ..
RD M
CD B
DEL TASK3
DEL ANO.DAT
DEL JOB.BAT
DEL TASK1
DEL TASK2
CD ..
RD B
CD L
DEL LSL.BAT
CD ..
RD L
CD \
RD JOB
CD \IRDF
DEL MCRO.DAT
DEL IRDF90NG.DAT
DEL IRDF.FMT
DEL IRDF.BIN
DEL IRDF90NG.DIR
CD ..
RD IRDF
:END
%1
